#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 turtle
version:              1.5.22
visibility:           public
id:                   turtle-1.5.22-GJ6uHL22q2N6u66zd4qGky
key:                  turtle-1.5.22-GJ6uHL22q2N6u66zd4qGky
license:              BSD-3-Clause
copyright:            2015 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.

    Features include:

    * Batteries included: Command an extended suite of predefined utilities

    * Interoperability: You can still run external shell commands

    * Portability: Works on Windows, OS X, and Linux

    * Exception safety: Safely acquire and release resources

    * Streaming: Transform or fold command output in constant space

    * Patterns: Use typed regular expressions that can parse structured values

    * Formatting: Type-safe @printf@-style text formatting

    * Modern: Supports @text@ and @system-filepath@

    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide

    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.

category:             System
abi:                  0b8b41cb550ae53f550b5f22ed42d384
exposed:              True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial

hidden-modules:       Turtle.Internal
import-dirs:          /usr/lib/ghc-8.10.4/site-local/turtle-1.5.22
library-dirs:         /usr/lib/ghc-8.10.4/site-local/turtle-1.5.22
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/turtle-1.5.22
hs-libraries:         HSturtle-1.5.22-GJ6uHL22q2N6u66zd4qGky
depends:
    ansi-wl-pprint-0.6.9-68bFt3W09M41WZGM9eWA92
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    bytestring-0.10.12.0 clock-0.8.2-9UFKXEvaIlvHBGUfGAYdEd
    containers-0.6.2.1 directory-1.3.6.0 exceptions-0.10.4
    foldl-1.4.11-4Yk45hvIQQcJyXQyRn9kiG
    hostname-1.0-HuLFRKq4zI6Dvl2iG8Zmez
    managed-1.0.8-9f0G3vWwVh6HB1O9keDDLq
    optional-args-1.0.2-DP4GQ00CVK6BmQ50Z9qvmn
    optparse-applicative-0.16.1.0-Aums8NSUQ7MCCMQ1RSMBhb
    process-1.6.9.0 stm-2.5.0.0
    streaming-commons-0.2.2.1-EGTLx2BGubAD3PBnGhlZXb
    system-fileio-0.3.16.4-DALr2nDSwou361W1lmcdQl
    system-filepath-0.4.14-4HZeq9NbkiQ5sZAXBKJWSd
    temporary-1.3-BQuyrd5DWDGHzO3ikF4Vj3 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.3-E98n0JyMac7Bz478oqWJHX

haddock-interfaces:   /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html:         /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

